IF OBJECT_ID('dbo.vw_fco_companias') IS NOT NULL
    DROP VIEW dbo.vw_fco_companias
GO
CREATE VIEW dbo.vw_fco_companias  
AS  
SELECT  
 C.compania,  
 registro_fiscal,  
 C.nombre_cia,  
 ISNULL(C.domicilio,' ') domicilio,   
 ISNULL(C.telefono,' ') telefono,   
 ISNULL(A.cod_dpto,'11') cod_dpto,   
 ISNULL(A.cod_ciudad,'001') cod_ciudad,   
 ISNULL(A.fax,' ') fax,   
 ISNULL(A.nit_ARP,'000000000-0') nit_ARP,   
 ISNULL(A.nombre_ARP,' ') nombre_ARP,   
 ISNULL(A.clase_aportante,'G') clase_aportante,   
 ISNULL(A.forma_presentacion,'U') forma_presentacion,   
 ISNULL(A.nro_patronal,' ') nro_patronal,  
 ISNULL(A.nombre_retenedor, ' ') pagador_nombre,  
 ISNULL(A.cedula_retenedor, ' ') pagador_id,  
 ISNULL(A.agencias, ' ') agencias,  
 ISNULL(A.cod_admon, ' ') cod_admon,
 isnull(d.nombre, ' ') nom_dpto,
 isnull(m.nombre, ' ') nom_ciudad
FROM  
 companias C
LEFT JOIN fco_cias_datos_adi A ON C.compania = A.compania  
LEFT JOIN fco_departamentos d ON d.codigo = a.cod_dpto
LEFT JOIN fco_ciudades m ON m.cod_dpto = d.codigo and m.codigo = a.cod_ciudad
GO
GRANT ALL ON vw_fco_companias TO PUBLIC
GO
